import '@material/web/iconbutton/icon-button.js'
import '@material/web/icon/icon.js'
import '@material/web/button/filled-button'

import TopAppBar from './TopAppBar'

import './FullScreenDialog.css'

export default function ({
        setEditPoll,
        classList,
        children,
}) {
    return (
        <div className={`full-screen-dialog ${classList}`}>
            <TopAppBar onDismissRequest={() => setEditPoll(false)} />
            <div className="content">
                {children}
            </div>
        </div>
    )
}
